package domain


type AlibabaWdkPurchasePriceWdkOpenPurchasePrice struct {
    /*
        经营店id，必填     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        淘系主订单号，必填     */
    TbOrderId  *string `json:"tb_order_id,omitempty" `

    /*
        子单信息     */
    WdkOpenPurchasePriceSubs  *[]AlibabaWdkPurchasePriceWdkopenpurchasepricesubs `json:"wdk_open_purchase_price_subs,omitempty" `

    /*
        渠道标识45=猫超，100=共享零售     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

}

func (s *AlibabaWdkPurchasePriceWdkOpenPurchasePrice) SetStoreId(v string) *AlibabaWdkPurchasePriceWdkOpenPurchasePrice {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkPurchasePriceWdkOpenPurchasePrice) SetTbOrderId(v string) *AlibabaWdkPurchasePriceWdkOpenPurchasePrice {
    s.TbOrderId = &v
    return s
}
func (s *AlibabaWdkPurchasePriceWdkOpenPurchasePrice) SetWdkOpenPurchasePriceSubs(v []AlibabaWdkPurchasePriceWdkopenpurchasepricesubs) *AlibabaWdkPurchasePriceWdkOpenPurchasePrice {
    s.WdkOpenPurchasePriceSubs = &v
    return s
}
func (s *AlibabaWdkPurchasePriceWdkOpenPurchasePrice) SetOrderFrom(v int64) *AlibabaWdkPurchasePriceWdkOpenPurchasePrice {
    s.OrderFrom = &v
    return s
}
